%%
%% This is file `fithesis-mu-med.sty',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% med.dtx 
%% 
%% Copyright 1998--2021  Daniel Marek (DM), Jan Pavlovič (JP),
%%                       Vít Novotný (VN), Tereza Vrabcová (TV),
%%                       Petr Sojka (PS)
%% http://www.fi.muni.cz/tech/unix/tex/fithesis.xhtml
%% Faculty of Informatics, Masaryk University (Brno, Czech Republic)
%% 
%% This work may be distributed and/or modified under the
%% conditions of the LaTeX Project Public License, either version
%% 1.3 of this license or (at your option) any later version.
%% The latest version of this license is available at
%% 
%%   http://www.latex-project.org/lppl.txt
%% 
%% and version 1.3 or later is part of all distributions of LaTeX
%% version 2005/12/01 or later.
%% 
%% This work has the LPPL maintenance status `maintained'.
%% 
%% The Current Maintainer of this work is Vít Novotný (VN).
%% Send bug reports, requests for additions and questions
%% either to the fithesis discussion forum at
%% 
%%   http://is.muni.cz/auth/df/fithesis-sazba/
%% 
%% or to the e-mail address <witiko@mail.muni.cz>.
%% 
%% 
%% MODIFICATION ADVICE:
%% 
%% If you want to customize this file, it is best to make a copy of
%% the source file(s) from which it was produced.  Use a different
%% name for your copy(ies) and modify the copy(ies); this will ensure
%% that your modifications do not get overwritten when you install a
%% new release of the standard system.  You should also ensure that
%% your modified source file does not generate any modified file with
%% the same name as a standard file.
%% 
%% You will also need to produce your own, suitably named, .ins file to
%% control the generation of files from your source file; this file
%% should contain your own preambles for the files it generates, not
%% those in the standard .ins files.
%% 
%% The names of the source files used are shown above.
%% 
\NeedsTeXFormat{LaTeX2e}
\ProvidesPackage{fithesis/style/mu/fithesis-mu-med}[2021/07/18]
\thesis@color@setup{
  links={HTML}{F58E76},
  tableEmph={HTML}{FF9D85},
  tableOdd={HTML}{FFF5F6},
  tableEven={HTML}{FFDEDF}}
\thesis@bibliography@setup{%
  style=authortitle,
  sorting=ynt}
\thesis@bibliography@load
\ifthesis@bibliography@loaded@
  \DeclareNameAlias{sortname}{last-first}
  \renewcommand*{\revsdnamepunct}{}
  \DeclareFieldFormat[%
    article,inbook,incollection,inproceedings,patent,thesis,unpublished]%
    {title}{{#1\isdot}}
  \renewbibmacro{in:}{}
  \DeclareFieldFormat{pages}{#1}
  \renewcommand*{\bibpagespunct}{\addcolon}
  \DeclareFieldFormat{journaltitle}{#1\addperiod}
  \DeclareFieldFormat{booktitle}{{#1}}
  \DeclareFieldFormat{title}{{#1}}
  \renewbibmacro*{journal+issuetitle}{%
    \usebibmacro{journal}%
    \setunit*{\addspace}%
    \iffieldundef{series}
    {}
    {\newunit
      \printfield{series}%
      \setunit{\addspace}}%
    \usebibmacro{issue+date}%
    \setunit{\addsemicolon\addspace}%
    \usebibmacro{volume+number+eid}%
    \setunit{\addcolon\space}%
    \usebibmacro{issue}%
    \newunit%
  }
  \renewbibmacro*{issue+date}{\printfield{year}}
  \renewcommand*{\finalnamedelim}{\multinamedelim}
\fi
\thesis@require{tikz}
\thesis@require{geometry}
\thesis@require{setspace}
\geometry{top=25mm,bottom=20mm,left=25mm,right=25mm,includeheadfoot}
\thesis@blocks@titlePage@field@false

\thesis@xpatch\thesis@blocks@titlePage{%
  {\sf\thesis@titlePage@large\thesis@@{advisorTitle}: \thesis@advisor\par}%
   \vspace{0.75cm}%
   \ifthesis@blocks@titlePage@department@
     {\sf\thesis@titlePage@large\thesis@department@name\par}%
   \fi
   \ifthesis@blocks@titlePage@programme@
     \vspace{0.25cm}%
     {\sf\thesis@titlePage@large\thesis@@{bib@programme}:
      \thesis@programme\par}%
   \fi
   \ifthesis@blocks@titlePage@field@
     \vspace{0.25cm}%
     {\sf\thesis@titlePage@large\thesis@@{fieldTitle}:
      \thesis@field@name\par}%
   \fi
   \vfill
}{}

\thesis@xpatch\thesis@blocks@titlePage{%
  {\sf\thesis@titlePage@large\thesis@@upper{facultyName}\par}%
  \vfill
}{%
  {\sf\thesis@titlePage@large\thesis@@upper{facultyName}\par}%
  \vspace{0.5cm}%
  {\sf\thesis@titlePage@large\thesis@programme\par}%
  \vspace{0.25cm}%
  {\sf\thesis@titlePage@large\thesis@department@name\par}%
  \vspace{1cm}%
}
\def\thesis@blocks@frontMatter{%
  \thesis@blocks@clear
  \newgeometry{top=25mm,bottom=20mm,left=35mm,
    right=15mm, includeheadfoot}
  \pagestyle{empty}
  \parindent 1.5em
  \setcounter{page}{1}
  \pagenumbering{arabic}}
\def\thesis@blocks@mainMatter{%
  \thesis@blocks@clear
  \newgeometry{top=25mm,bottom=20mm,left=35mm,
    right=15mm, includeheadfoot}
  \pagestyle{thesisheadings}
  \parindent 1.5em
  \onehalfspacing}
\def\thesis@blocks@preamble{%
  \thesis@blocks@coverMatter
    \thesis@blocks@cover
  \thesis@blocks@frontMatter
    \thesis@blocks@titlePage
    \thesis@blocks@seal
    \thesis@blocks@clear
      \pagestyle{plain}
      \setcounter{page}{1}
      \thesis@blocks@declaration
    \thesis@blocks@clear
      \thesis@blocks@abstract
      \thesis@blocks@keywords
    \thesis@blocks@clear
      \thesis@blocks@abstractEn
      \thesis@blocks@keywordsEn
    \thesis@blocks@thanks
    \thesis@blocks@tables}
\def\thesis@blocks@postamble{%
  \thesis@blocks@bibliography}
\endinput
%%
%% End of file `fithesis-mu-med.sty'.
